@Manual{R-base,
  title = {R: A Language and Environment for Statistical Computing},
  author = {{R Core Team}},
  organization = {R Foundation for Statistical Computing},
  address = {Vienna, Austria},
  year = {2022},
  url = {https://www.R-project.org/},
}

@Manual{R-bookdown,
  title = {bookdown: Authoring Books and Technical Documents with R Markdown},
  author = {Yihui Xie},
  year = {2023},
  note = {R package version 0.33},
  url = {https://CRAN.R-project.org/package=bookdown},
}

@Manual{R-cluster,
  title = {cluster: "Finding Groups in Data": Cluster Analysis Extended Rousseeuw et
al.},
  author = {Martin Maechler and Peter Rousseeuw and Anja Struyf and Mia Hubert},
  year = {2022},
  note = {R package version 2.1.4},
  url = {https://svn.r-project.org/R-packages/trunk/cluster/},
}

@Manual{R-cmdstanr,
  title = {cmdstanr: R Interface to CmdStan},
  author = {Jonah Gabry and Rok Češnovar and Andrew Johnson},
  year = {2022},
  note = {https://mc-stan.org/cmdstanr/},
}

@Manual{R-dagitty,
  title = {dagitty: Graphical Analysis of Structural Causal Models},
  author = {Johannes Textor and Benito {van der Zander} and Ankur Ankan},
  year = {2021},
  note = {R package version 0.3-1},
  url = {https://CRAN.R-project.org/package=dagitty},
}

@Manual{R-digest,
  title = {digest: Create Compact Hash Digests of R Objects},
  author = {Dirk Eddelbuettel},
  year = {2022},
  note = {R package version 0.6.31},
  url = {https://CRAN.R-project.org/package=digest},
}

@Manual{R-dplyr,
  title = {dplyr: A Grammar of Data Manipulation},
  author = {Hadley Wickham and Romain François and Lionel Henry and Kirill Müller and Davis Vaughan},
  year = {2023},
  note = {R package version 1.1.0},
  url = {https://CRAN.R-project.org/package=dplyr},
}

@Manual{R-fabricatr,
  title = {fabricatr: Imagine Your Data Before You Collect It},
  author = {Graeme Blair and Jasper Cooper and Alexander Coppock and Macartan Humphreys and Aaron Rudkin and Neal Fultz},
  year = {2022},
  note = {R package version 1.0.0},
  url = {https://CRAN.R-project.org/package=fabricatr},
}

@Manual{R-factoextra,
  title = {factoextra: Extract and Visualize the Results of Multivariate Data Analyses},
  author = {Alboukadel Kassambara and Fabian Mundt},
  year = {2020},
  note = {R package version 1.0.7},
  url = {http://www.sthda.com/english/rpkgs/factoextra},
}

@Manual{R-forcats,
  title = {forcats: Tools for Working with Categorical Variables (Factors)},
  author = {Hadley Wickham},
  year = {2023},
  note = {R package version 1.0.0},
  url = {https://CRAN.R-project.org/package=forcats},
}

@Manual{R-ggdag,
  title = {ggdag: Analyze and Create Elegant Directed Acyclic Graphs},
  author = {Malcolm Barrett},
  year = {2023},
  note = {R package version 0.2.8},
  url = {https://CRAN.R-project.org/package=ggdag},
}

@Manual{R-ggplot2,
  title = {ggplot2: Create Elegant Data Visualisations Using the Grammar of Graphics},
  author = {Hadley Wickham and Winston Chang and Lionel Henry and Thomas Lin Pedersen and Kohske Takahashi and Claus Wilke and Kara Woo and Hiroaki Yutani and Dewey Dunnington},
  year = {2023},
  note = {R package version 3.4.2},
  url = {https://CRAN.R-project.org/package=ggplot2},
}

@Manual{R-ggpubr,
  title = {ggpubr: ggplot2 Based Publication Ready Plots},
  author = {Alboukadel Kassambara},
  year = {2023},
  note = {R package version 0.6.0},
  url = {https://rpkgs.datanovia.com/ggpubr/},
}

@Manual{R-here,
  title = {here: A Simpler Way to Find Your Files},
  author = {Kirill Müller},
  year = {2020},
  note = {R package version 1.0.1},
  url = {https://CRAN.R-project.org/package=here},
}

@Manual{R-kableExtra,
  title = {kableExtra: Construct Complex Table with kable and Pipe Syntax},
  author = {Hao Zhu},
  year = {2021},
  note = {R package version 1.3.4},
  url = {https://CRAN.R-project.org/package=kableExtra},
}

@Manual{R-kamila,
  title = {kamila: Methods for Clustering Mixed-Type Data},
  author = {Alexander Foss and Marianthi Markatou},
  year = {2020},
  note = {R package version 0.1.2},
  url = {https://github.com/ahfoss/kamila},
}

@Manual{R-knitr,
  title = {knitr: A General-Purpose Package for Dynamic Report Generation in R},
  author = {Yihui Xie},
  year = {2023},
  note = {R package version 1.42},
  url = {https://yihui.org/knitr/},
}

@Manual{R-lubridate,
  title = {lubridate: Make Dealing with Dates a Little Easier},
  author = {Vitalie Spinu and Garrett Grolemund and Hadley Wickham},
  year = {2023},
  note = {R package version 1.9.2},
  url = {https://CRAN.R-project.org/package=lubridate},
}

@Manual{R-magrittr,
  title = {magrittr: A Forward-Pipe Operator for R},
  author = {Stefan Milton Bache and Hadley Wickham},
  year = {2022},
  note = {R package version 2.0.3},
  url = {https://CRAN.R-project.org/package=magrittr},
}

@Manual{R-printr,
  title = {printr: Automatically Print R Objects to Appropriate Formats According
to the knitr Output Format},
  author = {Yihui Xie},
  year = {2023},
  note = {R package version 0.3},
  url = {https://yihui.org/printr/},
}

@Manual{R-purrr,
  title = {purrr: Functional Programming Tools},
  author = {Hadley Wickham and Lionel Henry},
  year = {2023},
  note = {R package version 1.0.1},
  url = {https://CRAN.R-project.org/package=purrr},
}

@Manual{R-readr,
  title = {readr: Read Rectangular Text Data},
  author = {Hadley Wickham and Jim Hester and Jennifer Bryan},
  year = {2023},
  note = {R package version 2.1.4},
  url = {https://CRAN.R-project.org/package=readr},
}

@Manual{R-readxl,
  title = {readxl: Read Excel Files},
  author = {Hadley Wickham and Jennifer Bryan},
  year = {2023},
  note = {R package version 1.4.2},
  url = {https://CRAN.R-project.org/package=readxl},
}

@Manual{R-remotes,
  title = {remotes: R Package Installation from Remote Repositories, Including
GitHub},
  author = {Gábor Csárdi and Jim Hester and Hadley Wickham and Winston Chang and Martin Morgan and Dan Tenenbaum},
  year = {2021},
  note = {R package version 2.4.2},
  url = {https://CRAN.R-project.org/package=remotes},
}

@Manual{R-rethinking,
  title = {rethinking: Statistical Rethinking book package},
  author = {Richard McElreath},
  year = {2023},
  note = {R package version 2.31},
}

@Manual{R-rmarkdown,
  title = {rmarkdown: Dynamic Documents for R},
  author = {JJ Allaire and Yihui Xie and Jonathan McPherson and Javier Luraschi and Kevin Ushey and Aron Atkins and Hadley Wickham and Joe Cheng and Winston Chang and Richard Iannone},
  year = {2023},
  note = {R package version 2.20},
  url = {https://CRAN.R-project.org/package=rmarkdown},
}

@Manual{R-rstan,
  title = {rstan: R Interface to Stan},
  author = {Jiqiang Guo and Jonah Gabry and Ben Goodrich and Sebastian Weber},
  year = {2023},
  note = {R package version 2.21.8},
  url = {https://CRAN.R-project.org/package=rstan},
}

@Manual{R-SimMultiCorrData,
  title = {SimMultiCorrData: Simulation of Correlated Data with Multiple Variable Types},
  author = {Allison Cynthia Fialkowski},
  year = {2018},
  note = {R package version 0.2.2},
  url = {https://github.com/AFialkowski/SimMultiCorrData},
}

@Manual{R-simstudy,
  title = {simstudy: Simulation of Study Data},
  author = {Keith Goldfeld and Jacob Wujciak-Jens},
  year = {2023},
  note = {R package version 0.6.0},
  url = {https://CRAN.R-project.org/package=simstudy},
}

@Manual{R-StanHeaders,
  title = {StanHeaders: C++ Header Files for Stan},
  author = {Ben Goodrich and Andrew Gelman and Bob Carpenter and Matt Hoffman and Daniel Lee and Michael Betancourt and Marcus Brubaker and Jiqiang Guo and Peter Li and Allen Riddell and Marco Inacio and Mitzi Morris and Jeffrey Arnold and Rob Goedman and Brian Lau and Rob Trangucci and Jonah Gabry and Alp Kucukelbir and Robert Grant and Dustin Tran and Michael Malecki and Yuanjun Gao},
  year = {2020},
  note = {R package version 2.21.0-7},
  url = {https://mc-stan.org/},
}

@Manual{R-stringr,
  title = {stringr: Simple, Consistent Wrappers for Common String Operations},
  author = {Hadley Wickham},
  year = {2022},
  note = {R package version 1.5.0},
  url = {https://CRAN.R-project.org/package=stringr},
}

@Manual{R-tibble,
  title = {tibble: Simple Data Frames},
  author = {Kirill Müller and Hadley Wickham},
  year = {2023},
  note = {R package version 3.2.1},
  url = {https://CRAN.R-project.org/package=tibble},
}

@Manual{R-tidyr,
  title = {tidyr: Tidy Messy Data},
  author = {Hadley Wickham and Davis Vaughan and Maximilian Girlich},
  year = {2023},
  note = {R package version 1.3.0},
  url = {https://CRAN.R-project.org/package=tidyr},
}

@Manual{R-tidyverse,
  title = {tidyverse: Easily Install and Load the Tidyverse},
  author = {Hadley Wickham},
  year = {2023},
  note = {R package version 2.0.0},
  url = {https://CRAN.R-project.org/package=tidyverse},
}

@Book{bookdown2016,
  title = {bookdown: Authoring Books and Technical Documents with {R} Markdown},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2016},
  note = {ISBN 978-1138700109},
  url = {https://bookdown.org/yihui/bookdown},
}

@Article{dagitty2016,
  title = {Robust causal inference using directed acyclic graphs: the R package 'dagitty'},
  journal = {International Journal of Epidemiology},
  author = {Johannes Textor and Benito {van der Zander} and Mark S Gilthorpe and Maciej Liśkiewicz and George TH Ellison},
  volume = {45},
  number = {6},
  pages = {1887--1894},
  year = {2016},
  doi = {10.1093/ije/dyw341},
}

@Book{ggplot22016,
  author = {Hadley Wickham},
  title = {ggplot2: Elegant Graphics for Data Analysis},
  publisher = {Springer-Verlag New York},
  year = {2016},
  isbn = {978-3-319-24277-4},
  url = {https://ggplot2.tidyverse.org},
}

@Article{kamila2018,
  title = {{kamila}: Clustering Mixed-Type Data in {R} and {Hadoop}},
  author = {Alexander H. Foss and Marianthi Markatou},
  journal = {Journal of Statistical Software},
  year = {2018},
  volume = {83},
  number = {13},
  pages = {1--45},
  doi = {10.18637/jss.v083.i13},
}

@Book{knitr2015,
  title = {Dynamic Documents with {R} and knitr},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2015},
  edition = {2nd},
  note = {ISBN 978-1498716963},
  url = {https://yihui.org/knitr/},
}

@InCollection{knitr2014,
  booktitle = {Implementing Reproducible Computational Research},
  editor = {Victoria Stodden and Friedrich Leisch and Roger D. Peng},
  title = {knitr: A Comprehensive Tool for Reproducible Research in {R}},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  year = {2014},
  note = {ISBN 978-1466561595},
}

@Article{lubridate2011,
  title = {Dates and Times Made Easy with {lubridate}},
  author = {Garrett Grolemund and Hadley Wickham},
  journal = {Journal of Statistical Software},
  year = {2011},
  volume = {40},
  number = {3},
  pages = {1--25},
  url = {https://www.jstatsoft.org/v40/i03/},
}

@Book{rmarkdown2018,
  title = {R Markdown: The Definitive Guide},
  author = {Yihui Xie and J.J. Allaire and Garrett Grolemund},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2018},
  note = {ISBN 9781138359338},
  url = {https://bookdown.org/yihui/rmarkdown},
}

@Book{rmarkdown2020,
  title = {R Markdown Cookbook},
  author = {Yihui Xie and Christophe Dervieux and Emily Riederer},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2020},
  note = {ISBN 9780367563837},
  url = {https://bookdown.org/yihui/rmarkdown-cookbook},
}

@Article{simstudy2020,
  title = {simstudy: Illuminating research methods through data generation},
  author = {Keith Goldfeld and Jacob Wujciak-Jens},
  publisher = {The Open Journal},
  journal = {Journal of Open Source Software},
  year = {2020},
  volume = {5},
  number = {54},
  pages = {2763},
  url = {https://doi.org/10.21105/joss.02763},
  doi = {10.21105/joss.02763},
}

@Article{tidyverse2019,
  title = {Welcome to the {tidyverse}},
  author = {Hadley Wickham and Mara Averick and Jennifer Bryan and Winston Chang and Lucy D'Agostino McGowan and Romain François and Garrett Grolemund and Alex Hayes and Lionel Henry and Jim Hester and Max Kuhn and Thomas Lin Pedersen and Evan Miller and Stephan Milton Bache and Kirill Müller and Jeroen Ooms and David Robinson and Dana Paige Seidel and Vitalie Spinu and Kohske Takahashi and Davis Vaughan and Claus Wilke and Kara Woo and Hiroaki Yutani},
  year = {2019},
  journal = {Journal of Open Source Software},
  volume = {4},
  number = {43},
  pages = {1686},
  doi = {10.21105/joss.01686},
}

